// import express from 'express';
var express=require('express');
var avaRoute=require('./ava_router');
var bodyParser= require("body-parser");
// var todoRoute= require('./router/todos');

var path=require('path');
// import db from './db/db';
// Set up the express app
const app = express();
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());
// Parse incoming requests data
// app.use(bodyParser.json());
// app.use(bodyParser.urlencoded({ extended: false }));
// app.use(express.static(path.join(__dirname, '/public' )));
// app.use('/api/v1/todos', todoRoute)
app.get('/',(req,res)=>{
  res.sendFile(path.join(__dirname+'/index.html'));
});

app.use('/ava3',avaRoute);


app.get('/get_started_data',(req,res)=>{
  res.json([{id:1, name:"Schedule an appointment"},{id:2, name:"Virtual consultation"},{id:3, name:"General questions"},{id:4, name:"Something else"}]);
});

app.get('/dynamic_choice',(req,res)=>{
  res.json({
    "text": "Offerings",
    "choices": [
      {
        "title": "Standard",
        "value": "1"
      },
      {
        "title": "Custom",
        "value": "2"
      },
      {
        "title": "Enterprise",
        "value": "3"
      }
    ],
    "typing": true
  });
});
app.get('/dynamic_choice/:id',(req,res)=>{
let org={
  "text": "Offerings",
  "choices": [
    {
      "title": "Standard",
      "value": "1",
      "details":"dummy details for Standard"
    },
    {
      "title": "Custom",
      "value": "2",
      "details":"dummy details for Custom"
    },
    {
      "title": "Enterprise",
      "value": "3",
      "details":"dummy details for Enterprise"
    }
  ],
  "typing": true
};

let result= org.choices.find(item=>{
  return item.value==req.params.id
})
  res.json(result);
});



// get all todos
const PORT = 4000;

app.listen(PORT, () => {
  console.log(`server running on port ${PORT}`)
});