    var express = require('express')
    var router = express.Router();
 
    var global_array={
        "text": "",
        "choices": [],
        "typing": true
      }

    router.get('/GetStartedOptions', (req, res)=> {
        global_array.text="I'm Ava! I'm just a robot but i'm here to help. Select an option below to get started.";
        global_array.choices=[{value:"1", title:"Schedule an appointment"},{value:"2", title:"Virtual consultation"},{value:"3", title:"General questions"},{value:"4", title:"Something else"}];
        res.json(global_array);
     })
     router.post('/PostStartedOptions/:customer_id/:user_id', (req, res)=> {
        Write_File(req,"BOT: "+"I'm Ava! I'm just a robot but i'm here to help. Select an option below to get started.");
        global_array.choices=[{value:"1", title:"Schedule an appointment"},{value:"2", title:"Virtual consultation"},{value:"3", title:"General questions"},{value:"4", title:"Something else"}];
        // console.info('req.body.value',req.body.value);
        Write_File(req,"USER: "+global_array.choices.find(item=>
            item.value==req.body.value
        ).title);
      res.json({status:"success"});
     })
    router.get('/GetLocationsForNPS', (req, res)=> {
        global_array.text= "Which of our locations did you want to schedule at?"
        global_array.choices= [{value:"1", title:"Lehi"},{value:"2", title:"Orem"},{value:"3", title:"Provo"}]
        res.json(global_array);
    })

    router.post('/PostLocationsForNPS/:customer_id/:user_id', (req, res)=> {
        Write_File(req,"BOT: "+`Which of our locations did you want to schedule at?`);
        // Write_File(req,req.body.value)
         global_array.choices= [{value:"1", title:"Lehi"},{value:"2", title:"Orem"},{value:"3", title:"Provo"}]
        //res.json(global_array);
        Write_File(req,"USER: "+global_array.choices.find(item=>
            item.value==req.body.value
        ).title);
        res.json({status:"success"});
    })

    router.post('/PostTimeSlotForNPS/:customer_id/:user_id', (req, res)=> {
        Write_File(req,"BOT: "+`And what time were you thinking?`);
        // Write_File(req,req.body.value)
        global_array.choices= [
            {value:"1", title:"12:30 pm",location_value:"1"},
            {value:"2", title:"1:45 pm",location_value:"2"},
            {value:"3", title:"3:00 pm",location_value:"3"},
            {value:"4", title:"3:00 pm",location_value:"4"},
            {value:"5", title:"2:30 pm",location_value:"1"},
            {value:"6", title:"3:45 pm",location_value:"2"},
            {value:"7", title:"4:00 pm",location_value:"3"},
            {value:"8", title:"5:00 pm",location_value:"4"},
            {value:"9", title:"6:30 pm",location_value:"1"},
            {value:"10", title:"7:45 pm",location_value:"2"},
            {value:"11", title:"8:00 pm",location_value:"3"},
            {value:"12", title:"9:00 pm",location_value:"4"},
            {value:"13", title:"10:30 pm",location_value:"1"},
            {value:"14", title:"7:45 am",location_value:"2"},
            {value:"15", title:"9:00 am",location_value:"3"},
            {value:"16", title:"10:00 am",location_value:"4"}
        ];
        //res.json(global_array);
        Write_File(req,"USER: "+global_array.choices.find(item=>
            item.value==req.body.value
        ).title);
        Write_File(req,"BOT: "+`Thank you`);
        res.json({status:"success"});
    })

Write_File=(req,data)=>{
    const fs = require('fs');
    BaseDir= "ChatLog/";
    customer_id=req.params.customer_id;
    user_id= req.params.user_id;
    FolderName=BaseDir+customer_id;

    if (!fs.existsSync(FolderName)){
        fs.mkdirSync(FolderName);
    }
    OriginalFileNameWithPath=`${FolderName}/${user_id}.txt`;
    FileContent= `\r\n  ${new Date()}  ${data}`; //CUSTOMER-ID: ${customer_id} CHAT-SESSION-ID ${user_id}
    // if (fs.existsSync(OriginalFileNameWithPath)) {
    //     //file exists
    // }
    fs.appendFile(OriginalFileNameWithPath, FileContent, function(err) {
        if(err) {
            return console.log(err);
        }
        console.log("The file was saved!");
    }); 
   
}
    
// router.get('/download_log_file/:customer_id/:user_id', (req, res)=> {
//     customer_id=req.params.customer_id;
//     user_id= req.params.user_id;
//     res.download(`ChatLog/${customer_id}/${user_id}.txt`); 
// });
    
router.get('/download_log_file/:folder/:file', (req, res)=> {
    // customer_id=req.params.customer_id;
    // user_id= req.params.user_id;
    res.download(`ChatLog/${req.params.folder}/${req.params.file}`); 
});
    
    router.get('/GetTImeSlotsByLocation/:location_value', (req, res)=> {
        global_array.text= "And what time were you thinking?"
        global_array.choices= [
            {value:"1", title:"12:30 pm",location_value:"1"},
            {value:"2", title:"1:45 pm",location_value:"2"},
            {value:"3", title:"3:00 pm",location_value:"3"},
            {value:"4", title:"3:00 pm",location_value:"4"},
            {value:"5", title:"2:30 pm",location_value:"1"},
            {value:"6", title:"3:45 pm",location_value:"2"},
            {value:"7", title:"4:00 pm",location_value:"3"},
            {value:"8", title:"5:00 pm",location_value:"4"},
            {value:"9", title:"6:30 pm",location_value:"1"},
            {value:"10", title:"7:45 pm",location_value:"2"},
            {value:"11", title:"8:00 pm",location_value:"3"},
            {value:"12", title:"9:00 pm",location_value:"4"},
            {value:"13", title:"10:30 pm",location_value:"1"},
            {value:"14", title:"7:45 am",location_value:"2"},
            {value:"15", title:"9:00 am",location_value:"3"},
            {value:"16", title:"10:00 am",location_value:"4"}
        ].filter(item=>{
            return item.location_value==req.params.location_value
        })

        res.json(global_array);

    })
    router.get('/getLogFileHistory', (req, res)=> {
        const fs = require('fs');
        var files_obj={
            name: 'ChatLog',
            children: [
            //   {
            //     name: '1001',
            //     children: [
            //       { name: 'hello',url:'http://google.com' },
            //       { name: 'wat',url:'http://google.com' }
            //     ]
            //   },
            //   {
            //     name: '1002',
            //     children: [
            //       { name: 'hello',url:'http://google.com' },
            //       { name: 'wat',url:'http://google.com' }
            //     ]
            //   },
            //   {
            //     name: '1004',
            //     children: [
            //       { name: 'hello',url:'http://google.com' },
            //       { name: 'wat',url:'http://google.com' }
            //     ]
            //   }
            ]
          }
          folder = fs.readdirSync('ChatLog')//, (err, folder) => {
            //console.info('folder',folder);
            folder.forEach(folder_item => {
                let obj={name:folder_item,children:[]}
               // console.info(obj);
               file= fs.readdirSync(`ChatLog/${folder_item}`)//, (err, file) => {
                    file.forEach(item=>{
                        obj.children.push({name: item,url:`ava3/download_log_file/${folder_item}/${item}` });
                        //console.info('item',item);
                        // files_obj.children.push(

                        //     { name: file,url:'http://google.com' }
                        // )
                    })
                    files_obj.children.push(obj);
                   // console.info('files_obj',files_obj);
                //});
            //});
            
          });
        
        res.json(files_obj);
     })

    router.post('/PostTImeSlotsByLocation/:customer_id/:location_value', (req, res)=> {
        Write_File(req,"And what time were you thinking?");
        global_array.choices= [
            {value:"1", title:"12:30 pm",location_value:"1"},
            {value:"2", title:"1:45 pm",location_value:"2"},
            {value:"3", title:"3:00 pm",location_value:"3"},
            {value:"4", title:"3:00 pm",location_value:"4"},
            {value:"5", title:"2:30 pm",location_value:"1"},
            {value:"6", title:"3:45 pm",location_value:"2"},
            {value:"7", title:"4:00 pm",location_value:"3"},
            {value:"8", title:"5:00 pm",location_value:"4"},
            {value:"9", title:"6:30 pm",location_value:"1"},
            {value:"10", title:"7:45 pm",location_value:"2"},
            {value:"11", title:"8:00 pm",location_value:"3"},
            {value:"12", title:"9:00 pm",location_value:"4"},
            {value:"13", title:"10:30 pm",location_value:"1"},
            {value:"14", title:"7:45 am",location_value:"2"},
            {value:"15", title:"9:00 am",location_value:"3"},
            {value:"16", title:"10:00 am",location_value:"4"}
        ].filter(item=>{
            return item.location_value==req.params.location_value
        })
        Write_File(req,global_array.choices.find(item=>
            item.value==req.body.value
        ).title);
        res.json({status:"success"});

    })
    module.exports = router